<?php

namespace App\Http\Controllers\Connexion;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Session;

class ConnexionLoginController extends Controller
{
    protected function guard()
    {
        return Auth::guard('admin');
    }

    public function __construct()
    {
        $this->middleware('guest:admin')->except('logout');
    }


    /**
     * Where to redirect users after login.
     *
     * @var string
     */
    protected $redirectTo = '/admin/tableau-de-board';
    /**
     * Create a new controller instance.
     *
     * @return void
     */

    public function login(Request $request)
    {
        $this->validate($request, [
            'email'   => 'required|email',
            'password' => 'required|min:6'
        ]);

        if (Auth::guard('admin')->attempt(['email' => $request->email, 'password' => $request->password], $request->remember)) {
            $userData = Auth::guard('admin')->user();

            if ($userData->etat == 1) {
                return redirect()->intended(route('nc.dashboard'));
            }
        }
        //errors
        return redirect()->back()->withInput($request->only('email', 'remember'))->withErrors([
            'errors' => 'Utilisateur ou mot de passe incorrect.',
        ]);
    }

    public function logout()
    {
        Auth::logout();
        Session::flush();
        return redirect()->route('nc.form.login')->with('status', 'Vous êtes bien deconnecté');
    }
}
