jQuery(function ($) {

    $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    var translateUrl = window.assetJsUrl + "admin/assets/extra-libs/DataTables/DataTables-1.10.16/js/dataTable.translate.json";

    $('#data').DataTable({
        "language": {
            "url": translateUrl
        },
        "responsive": true,
        "paging": true,
        "lengthChange": false,
        "searching": true,
        "order": []
    });

    $('.update').on('change', function () {
        this.value = this.checked ? 1 : 0;
        var etat = this.value,
            id = $(this).attr('id');
        $.ajax({
            type: "POST",
            url: route('update.etat.user'),
            data: {
                etat: etat,
                id: id
            },
            dataType: "Json",
            success: function (data) {
                //notice error warning
                if (data.etat == 1) {
                    $.growl.notice({
                        title: "Success",
                        message: "Utilisateur activer"
                    });
                } else {
                    $.growl.warning({
                        title: "Attention",
                        message: "Utilisateur désactiver"
                    });
                }
            }
        })
    });

    $('.delete').on('click', function () {
        var id = $(this).attr('id');
        $('#id-user').val(id);
        $('#delete').modal({
            backdrop: 'static',
            keyboard: false
        });
    });

    $('.confirm-delete').on('click', function () {
        var id = $('#id-user').val();
        $.ajax({
            type: "POST",
            url: route('delete.user'),
            data: {
                id: id
            },
            dataType: "Json",
            success: function (data) {
                if (data.message == "success") {
                    $('#row-' + id).remove();
                    $('#delete').modal('hide');
                    $.growl.notice({
                        title: "Success",
                        message: "Utilisateur bien supprimer"
                    });
                }
            }
        })
    });

});

