@extends('back.layouts.master', ['title' => 'Tableau de board'])
@section('style.header')
    <link href="{{ asset('admin/assets/toggle/toggle.css') }}" rel="stylesheet">
    <style type="text/css">
        .btn i {
            margin-right: 0;
        }

        .btn-sm {
            padding: 6px 10px;
            line-height: 16px;
            font-size: 11px;
        }

        .action {
            width: 10%;
        }

        .etat {
            width: 11%;
        }

        #pl-card {
            padding-left: 35px;
        }

        input::placeholder {
            font-size: 12px !important;
        }

        .float-label {
            font-size: 12px !important;
        }

        .role-select {
            font-size: 12px !important;
        }

        .form-control {
            font-size: 12px !important;
        }
    </style>
@endsection

@section('content')
    {{-- Pre-loader --}}
    @include('back.layouts.preloader')
    {{-- Pre-loader --}}
    <div id="pcoded" class="pcoded">
        <div class="pcoded-overlay-box"></div>
        <div class="pcoded-container navbar-wrapper">

            {{-- Navigation --}}
            @include('back.layouts.header')
            {{-- Navigation --}}

            <div class="pcoded-main-container">
                <div class="pcoded-wrapper">

                    {{-- Navigation --}}
                    @include('back.layouts.menu')
                    {{-- Navigation --}}

                    <div class="pcoded-content">

                        {{-- Breacdumb --}}
                        @include('back.layouts.breadcrumb')
                        {{-- Breacdumb --}}

                        <div class="pcoded-inner-content">
                            <div class="main-body">
                                <div class="page-wrapper">
                                    {{-- Page-body start --}}
                                    <div class="page-body">

                                        <div class="card">
                                            <div id="pl-card" class="card-header">
                                                {{-- <h5>Basic Table</h5> --}}
                                                <a href="{{ route('list.user') }}">
                                                    <button type="button" data-toggle="tooltip" data-placement="top"
                                                        data-original-title="Liste utilisateur"
                                                        class="btn btn-sm btn-info"><i class="fa fa-arrow-left"></i>
                                                    </button>
                                                </a>
                                            </div>
                                            <div class="card-block">
                                                <div class="row">
                                                    <div class="col-md-2"></div>
                                                    <div class="col-md-8">
                                                        <p></p>
                                                        <form class="form-material" action="{{ route('save.user') }}"
                                                            method="post">
                                                            @csrf
                                                            <div
                                                                class="form-group @if ($errors->has('nom')) form-danger @else form-default @endif form-static-label">
                                                                <input type="text" name="nom" class="form-control"
                                                                    placeholder="Nom" value="{{ old('nom') }}">
                                                                <span class="form-bar"></span>
                                                                <label class="float-label">
                                                                    @if ($errors->has('nom'))
                                                                        {{ $errors->first('nom') }}
                                                                    @else
                                                                        {{ 'Nom' }}
                                                                    @endif
                                                                </label>
                                                            </div>
                                                            <div
                                                                class="form-group @if ($errors->has('prenom')) form-danger @else form-default @endif form-static-label">
                                                                <input type="text" name="prenom" class="form-control"
                                                                    placeholder="Prenom" value="{{ old('prenom') }}">
                                                                <span class="form-bar"></span>
                                                                <label class="float-label">
                                                                    @if ($errors->has('prenom'))
                                                                        {{ $errors->first('prenom') }}
                                                                    @else
                                                                        {{ 'Prenom' }}
                                                                    @endif
                                                                </label>
                                                            </div>
                                                            <div
                                                                class="form-group @if ($errors->has('email')) form-danger @else form-default @endif form-static-label">
                                                                <input type="text" name="email" class="form-control"
                                                                    placeholder="Email" value="{{ old('email') }}">
                                                                <span class="form-bar"></span>
                                                                <label class="float-label">
                                                                    @if ($errors->has('email'))
                                                                        {{ $errors->first('email') }}
                                                                    @else
                                                                        {{ 'Email' }}
                                                                    @endif
                                                                </label>
                                                            </div>
                                                            <div
                                                                class="form-group @if ($errors->has('password')) form-danger @else form-default @endif form-static-label">
                                                                <input type="password" name="password" class="form-control"
                                                                    placeholder="Mot de passe">
                                                                <span class="form-bar"></span>
                                                                <label class="float-label">
                                                                    @if ($errors->has('password'))
                                                                        {{ $errors->first('password') }}
                                                                    @else
                                                                        {{ 'Mot de passe' }}
                                                                    @endif
                                                                </label>
                                                            </div>
                                                            <div
                                                                class="form-group @if ($errors->has('password_confirmation')) form-danger @else form-default @endif form-default form-static-label">
                                                                <input type="password" name="password_confirmation"
                                                                    class="form-control" placeholder="Mot de passe">
                                                                <span class="form-bar"></span>
                                                                <label class="float-label">
                                                                    @if ($errors->has('password_confirmation'))
                                                                        {{ $errors->first('password_confirmation') }}
                                                                    @else
                                                                        {{ 'Confirmation mot de passe' }}
                                                                    @endif
                                                                </label>
                                                            </div>
                                                            <div
                                                                class="form-group @if ($errors->has('role_id')) form-danger @else form-default @endif form-static-label">
                                                                <select name="role_id"
                                                                    class="form-control fill role-select">
                                                                    <option value="">Selectionner une rôle</option>
                                                                    @foreach ($role as $role)
                                                                        <option value="{{ $role->id }}"
                                                                            {{ old('role_id') == $role->id ? 'selected' : '' }}>
                                                                            {{ @$role->name }}
                                                                        </option>
                                                                    @endforeach
                                                                </select>
                                                                <span class="form-bar"></span>
                                                                <label class="float-label">
                                                                    @if ($errors->has('role_id'))
                                                                        {{ $errors->first('role_id') }}
                                                                    @else
                                                                        {{ 'Rôle' }}
                                                                    @endif
                                                                </label>
                                                            </div>
                                                            <div>
                                                                <button type="submit"
                                                                    class="btn btn-sm btn-inverse pull-right">Enregistrer</button>
                                                            </div>
                                                        </form>
                                                    </div>
                                                    <div class="col-md-2"></div>
                                                </div>
                                            </div>
                                        </div>

                                    </div>
                                    {{-- Page-body end --}}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script.footer')
    <script type="text/javascript">
        $(document).ready(function() {

            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });

        });
    </script>
@endsection
