@extends('back.layouts.master', ['title' => 'Tableau de board'])
@section('style.header')
    <link href="{{ asset('admin/assets/toggle/toggle.css') }}" rel="stylesheet">
    <style type="text/css">
        .btn i {
            margin-right: 0;
        }

        .btn-sm {
            padding: 6px 10px;
            line-height: 16px;
            font-size: 11px;
        }

        .action {
            width: 5%;
        }

        .etat {
            width: 5%;
        }

        #pl-card {
            padding-left: 35px;
        }
    </style>
@endsection

@section('content')
    {{-- Pre-loader --}}
    @include('back.layouts.preloader')
    {{-- Pre-loader --}}
    <div id="pcoded" class="pcoded">
        <div class="pcoded-overlay-box"></div>
        <div class="pcoded-container navbar-wrapper">

            {{-- Navigation --}}
            @include('back.layouts.header')
            {{-- Navigation --}}

            <div class="pcoded-main-container">
                <div class="pcoded-wrapper">

                    {{-- Navigation --}}
                    @include('back.layouts.menu')
                    {{-- Navigation --}}

                    <div class="pcoded-content">

                        {{-- Breacdumb --}}
                        @include('back.layouts.breadcrumb')
                        {{-- Breacdumb --}}

                        <div class="pcoded-inner-content">
                            <div class="main-body">
                                <div class="page-wrapper">
                                    {{-- Page-body start --}}
                                    <div class="page-body">

                                        <div class="card">
                                            <div id="pl-card" class="card-header">
                                                {{-- <h5>Basic Table</h5> --}}
                                                <a href="{{ route('add.user') }}">
                                                    <button type="button" data-toggle="tooltip" data-placement="top"
                                                        data-original-title="Ajouter un utilisateur"
                                                        class="btn btn-sm btn-info"><i class="fa fa-user"></i></button>
                                                </a>
                                            </div>
                                            <div class="card-block table-border-style">
                                                <div class="table-responsive">
                                                    <table id="data" class="table table-striped">
                                                        <thead>
                                                            <tr>
                                                                <th>Nom</th>
                                                                <th>Prenom</th>
                                                                <th>Email</th>
                                                                <th>Role</th>
                                                                <th class="etat">Status</th>
                                                                <th class="action"></th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            @foreach ($data as $list)
                                                                <tr id="row-{{ @$list->id }}">
                                                                    <td>{{ @$list->nom }}</td>
                                                                    <td>{{ @$list->prenom }}</td>
                                                                    <td>{{ @$list->email }}</td>
                                                                    <td>{{ @$list->roles->name }}</td>
                                                                    <td>
                                                                        <input type="checkbox" data-toggle="toggle"
                                                                            data-width="75" data-height="20" data-size="sm"
                                                                            data-onstyle="primary" data-offstyle="secondary"
                                                                            data-on="Activer" data-off="Désactiver"
                                                                            @if ($list->etat == 1) checked @endif
                                                                            class="update" id="{{ @$list->id }}">
                                                                    </td>
                                                                    <td>
                                                                        <div class="d-flex">
                                                                            <a href="{{ route('edit.user', @$list->id) }}">
                                                                                <button type="button" data-toggle="tooltip"
                                                                                    data-placement="top"
                                                                                    data-original-title="Modifier"
                                                                                    class="btn btn-sm btn-success">
                                                                                    <i class="fa fa-pencil"></i>
                                                                                </button>
                                                                            </a>
                                                                            &nbsp;
                                                                            <a class="delete" id="{{ @$list->id }}">
                                                                                <button type="button" data-toggle="tooltip"
                                                                                    data-placement="top"
                                                                                    data-original-title="Supprimer"
                                                                                    class="btn btn-sm btn-danger">
                                                                                    <i class="fa fa-trash"></i>
                                                                                </button>
                                                                            </a>
                                                                        </div>
                                                                    </td>
                                                                </tr>
                                                            @endforeach
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>

                                    </div>
                                    {{-- Page-body end --}}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @include('back.utilisateur.modal.delete')
@endsection

@section('script.footer')
    <script type="text/javascript" src="{{ asset('js/utilisateur/utilisateur.js') }}"></script>
    @if ($message = Session::get('status'))
        <script type="text/javascript">
            window.message = "{{ @$message }}";
        </script>
        <script type="text/javascript" src="{{ asset('js/utilisateur/notify.js') }}"></script>
    @endif
@endsection
