<!DOCTYPE html>
<html lang="en">

<head>
    <title>Administration</title>
    <!-- HTML5 Shim and Respond.js IE10 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 10]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
      <![endif]-->
    <!-- Meta -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0, minimal-ui">
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="robots" content="noindex,nofollow">
    <meta name="googlebot" content="noindex">
    <meta name="keywords" content="" />
    <meta name="author" content="" />
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <!-- Favicon icon -->

    <link rel="icon" href="<?php echo e(asset('admin/assets/images/favicon.ico')); ?>" type="image/x-icon">
    <!-- Google font-->
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:400,600,700" rel="stylesheet">
    <!-- Required Fremwork -->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('admin/assets/css/bootstrap/css/bootstrap.min.css')); ?>">
    <!-- waves.css -->
    <link rel="stylesheet" href="<?php echo e(asset('admin/assets/pages/waves/css/waves.min.css')); ?>" type="text/css"
        media="all">
    <!-- themify-icons line icon -->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('admin/assets/icon/themify-icons/themify-icons.css')); ?>">
    <!-- ico font -->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('admin/assets/icon/icofont/css/icofont.css')); ?>">
    <!-- Font Awesome -->
    <link rel="stylesheet" type="text/css"
        href="<?php echo e(asset('admin/assets/icon/font-awesome/css/font-awesome.min.css')); ?>">
    <!-- Style.css -->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('admin/assets/css/style.css')); ?>">
</head>

<body themebg-pattern="theme1">
    <!-- Pre-loader start -->
    <div class="theme-loader">
        <div class="loader-track">
            <div class="preloader-wrapper">
                <div class="spinner-layer spinner-blue">
                    <div class="circle-clipper left">
                        <div class="circle"></div>
                    </div>
                    <div class="gap-patch">
                        <div class="circle"></div>
                    </div>
                    <div class="circle-clipper right">
                        <div class="circle"></div>
                    </div>
                </div>
                <div class="spinner-layer spinner-red">
                    <div class="circle-clipper left">
                        <div class="circle"></div>
                    </div>
                    <div class="gap-patch">
                        <div class="circle"></div>
                    </div>
                    <div class="circle-clipper right">
                        <div class="circle"></div>
                    </div>
                </div>

                <div class="spinner-layer spinner-yellow">
                    <div class="circle-clipper left">
                        <div class="circle"></div>
                    </div>
                    <div class="gap-patch">
                        <div class="circle"></div>
                    </div>
                    <div class="circle-clipper right">
                        <div class="circle"></div>
                    </div>
                </div>

                <div class="spinner-layer spinner-green">
                    <div class="circle-clipper left">
                        <div class="circle"></div>
                    </div>
                    <div class="gap-patch">
                        <div class="circle"></div>
                    </div>
                    <div class="circle-clipper right">
                        <div class="circle"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Pre-loader end -->

    <section class="login-block">
        <!-- Container-fluid starts -->
        <div class="container">
            <div class="row">
                <div class="col-sm-12">
                    <!-- Authentication card start -->

                    <form class="md-float-material form-material" method="post" action="<?php echo e(route('nc.login')); ?>">
                        <?php echo csrf_field(); ?>
                        <div class="text-center">
                            <img src="<?php echo e(asset('admin/assets/images/logo.png')); ?>" alt="logo.png">
                        </div>
                        <div class="auth-box card">
                            <div class="card-block">

                                <div>
                                    <?php if(Session::has('errors')): ?>
                                        <fieldset>
                                            <section>
                                                <div id="hide-alert" class="alert alert-danger b-radius text-center"
                                                    style="padding: 6px;">
                                                    <?php echo e(session('errors')->first('errors')); ?>

                                                </div>
                                            </section>
                                        </fieldset>
                                    <?php endif; ?>

                                    <?php if(Session::has('status')): ?>
                                        <fieldset>
                                            <section>
                                                <div id="hide-alert" class="alert alert-success b-radius text-center"
                                                    style="padding: 6px;">
                                                    <?php echo e(session('status')); ?>

                                                </div>
                                            </section>
                                        </fieldset>
                                    <?php endif; ?>
                                </div>

                                <div class="row m-b-20">
                                    <div class="col-md-12">
                                        <h3 class="text-center" style="font-weight: 500;">Se connecter</h3>
                                    </div>
                                </div>
                                <div class="form-group form-primary">
                                    <input type="email" name="email" id="email" class="form-control" required>
                                    <span class="form-bar"></span>
                                    <label class="float-label">Email</label>
                                </div>
                                <div class="form-group form-primary">
                                    <input type="password" name="password" id="password" class="form-control"
                                        required>
                                    <span class="form-bar"></span>
                                    <label class="float-label">Mot de passe</label>
                                </div>
                                <div class="row m-t-25 text-left">
                                    <div class="col-12">
                                        <div class="checkbox-fade fade-in-primary d-">
                                            <label>
                                                <input type="checkbox" name="check_remember" value="remember-me"
                                                    id="remember_me">
                                                <span class="cr"><i
                                                        class="cr-icon icofont icofont-ui-check txt-primary"></i></span>
                                                <span class="text-inverse">Se souvenir de moi</span>
                                            </label>
                                        </div>
                                        <div class="forgot-phone text-right f-right">
                                            
                                        </div>
                                    </div>
                                </div>
                                <div class="row m-t-30">
                                    <div class="col-md-12">
                                        <button type="submit"
                                            class="btn btn-primary btn-md btn-block waves-effect waves-light text-center m-b-20">Connecter</button>
                                    </div>
                                </div>
                                <hr />

                            </div>
                        </div>
                    </form>
                    <!-- end of form -->
                </div>
                <!-- end of col-sm-12 -->
            </div>
            <!-- end of row -->
        </div>
        <!-- end of container-fluid -->
    </section>

    <!-- Required Jquery -->
    <script type="text/javascript" src="<?php echo e(asset('admin/assets/js/jquery/jquery.min.js')); ?>"></script>
    <script type="text/javascript" src="<?php echo e(asset('admin/assets/js/jquery-ui/jquery-ui.min.js')); ?>"></script>
    <script type="text/javascript" src="<?php echo e(asset('admin/assets/js/popper.js/popper.min.js')); ?>"></script>
    <script type="text/javascript" src="<?php echo e(asset('admin/assets/js/bootstrap/js/bootstrap.min.js')); ?>"></script>
    <!-- waves js -->
    <script type="text/javascript" src="<?php echo e(asset('admin/assets/pages/waves/js/waves.min.js')); ?>"></script>
    <!-- jquery slimscroll js -->
    <script type="text/javascript" src="<?php echo e(asset('admin/assets/js/jquery-slimscroll/jquery.slimscroll.js')); ?>"></script>
    <script type="text/javascript" src="<?php echo e(asset('admin/assets/js/common-pages.js')); ?>"></script>

    <script type="text/javascript">
        $(document).ready(function() {
            if (localStorage.chkbx && localStorage.chkbx != '') {
                $('#remember_me').attr('checked', 'checked');
                $('#email').val(localStorage.usrname);
                $('#password').val(localStorage.pass);
            } else {
                $('#remember_me').removeAttr('checked');
                $('#email').val('');
                $('#password').val('');
            }

            $('#remember_me').click(function() {
                if ($('#remember_me').is(':checked')) {
                    localStorage.usrname = $('#email').val();
                    localStorage.pass = $('#password').val();
                    localStorage.chkbx = $('#remember_me').val();
                } else {
                    localStorage.usrname = '';
                    localStorage.pass = '';
                    localStorage.chkbx = '';
                }
            });

            if ($('input[name="check_remember"]').is(':checked')) {
                $('#email').addClass('fill');
                $('#password').addClass('fill');
            } else {
                $('#email').removeClass('fill');
                $('#password').removeClass('fill');
            }

            $('#hide-alert').slideUp(3000);
        });
    </script>

</body>

</html>
<?php /**PATH /home/nocommen/public_html/nocommentbar.mg/dashboardnc/resources/views/login/index.blade.php ENDPATH**/ ?>